Subject: bug#43209: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 19 Jun 2021 14:21:06 +0200

Allen Li <[email-masked]> writes:

>  I'm not quite sure I fully understand the suggestion -- do you mean that
>  `C-x SPC' should switch transient-mark-mode on if it isn't already?
>  (And then switch it off again in `deactivate-mark-hook'?)
>
> Behavior-wise, it should work the same as `C-SPC C-SPC` when
> transient-mark-mode is off,
> (temporarily enable transient-mark-mode and active region).
> I don't remember how that is implemented off the top of my head.

We don't normally switch transient mark mode on (even temporarily)
unless the user has requested so (with `C-SPC C-SPC', for instance).  So
I still don't understand why this rectangle command should do so.

`C-x SPC' seems to work fine both with transient mode on or off, as far
as I can tell?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no